module Creation exposing (..)

import Stats exposing (AttributeCategory)

type alias CreationPoints =
    { freebie : Int
    , spheres : Int
    , attributes :
        { primary : Int
        , secondary : Int
        , tertiary : Int
        , priority : 
            ( AttributeCategory
            , AttributeCategory
            , AttributeCategory
            )
        }
    }

new : CreationPoints 
new =
    { freebie = 15
    , spheres = 6
    , attributes =
        { primary = 7
        , secondary = 5
        , tertiary = 3
        , priority =
            ( Stats.Physical
            , Stats.Social
            , Stats.Mental
            )
        }
    }

cost :
    { sphere : Int
    }
cost = 
    { sphere = 7
    }

buySphere : CreationPoints -> Int -> CreationPoints
buySphere cp value =
    { cp | spheres = cp.spheres - value }